Skip to main content
GET
/
v1
/
experiences
/
{experienceId}
/
reviews
Get reviews for experience
curl --request GET \
  --url https://api.letsway.com/v1/experiences/{experienceId}/reviews
[
  {
    "items": [
      {
        "id": "review-123",
        "rating": 4.5,
        "recommendability": 90,
        "text": "Amazing experience with professional instructors!",
        "reviewer": {
          "id": "user-123",
          "firstName": "John",
          "lastName": "Doe",
          "fullName": "John Doe",
          "emailAddress": "john.doe@example.com",
          "phoneNumber": "+1234567890"
        },
        "reviewedAt": "2024-03-01T12:00:00Z",
        "experiencedDate": "2024-02-25T18:30:00Z"
      }
    ],
    "links": {
      "first": "<string>",
      "previous": "<string>",
      "next": "<string>",
      "last": "<string>"
    }
  }
]

Path Parameters

experienceId
string

Query Parameters

page
number
limit
number

Response

200 - application/json

Reviews

items
object[]
required

List of experiences

Pagination links